Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.action
Interface IMenuCreator

All Known Implementing Classes:
  ContextualLaunchAction, LaunchAsAction

public interface IMenuCreator

Interface for something that creates and disposes of SWT menus. Note that it is the responsibility of the implementor to dispose of SWT menus it creates.

Method Summary
`void` | `dispose()` Disposes the menu returned by `getMenu`.
`Menu` | `getMenu(Control parent)` Returns the SWT menu, created as a pop up menu parented by the given control.
`Menu` | `getMenu(Menu parent)` Returns an SWT menu created as a drop down menu parented by the given menu.

Method Detail

### dispose

    public void dispose()

  Disposes the menu returned by `getMenu`. Does nothing if there is no menu. This method will be executed only when the parent of the menu is disposed.

### getMenu

    public Menu getMenu(Control parent)

  Returns the SWT menu, created as a pop up menu parented by the given control. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

  Parameters:
    `parent` - the parent control
  Returns:
    the menu, or `null` if the menu could not be created

### getMenu

    public Menu getMenu(Menu parent)

  Returns an SWT menu created as a drop down menu parented by the given menu. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

  Parameters:
    `parent` - the parent menu
  Returns:
    the menu, or `null` if the menu could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.